%global debug_package   %{nil}
%global provider        github
%global provider_tld    com
%global project         cpuguy83
%global repo            go-md2man
%global import_path     %{provider}.%{provider_tld}/%{project}/%{repo}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        1
Release:        2%{?dist}
Summary:        Process markdown into manpages
License:        MIT
URL:            https://%{import_path}
Source0:        https://%{import_path}/archive/v%{version}.tar.gz
ExclusiveArch:  %{ix86} x86_64 %{arm}
Provides:       %{repo} = %{version}-%{release}

%description
%{repo} is a golang tool using blackfriday to process markdown into
manpages.

%package devel
BuildRequires:  golang >= 1.2.1-3
BuildRequires:  golang(github.com/russross/blackfriday)
Requires:       golang >= 1.2.1-3
BuildArch:      noarch
Summary:        A golang registry for global request variables
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/mangen) = %{version}-%{release}

%description devel
%{repo} is a golang tool using blackfriday to process markdown into
manpages.

This package contains library source intended for building other packages
which use %{project}/%{repo}.

%prep
%setup -qn %{repo}-%{version}

%build
mkdir -p _build/src/%{provider}.%{provider_tld}/%{project}
ln -s $(pwd) ./_build/src/%{import_path}

export GOPATH=$(pwd)/_build:%{gopath}
pushd $(pwd)/_build/src
go build  %{import_path}
popd

%install
install -d -p %{buildroot}%{gopath}/src/%{import_path}/mangen
cp -pav *.go %{buildroot}%{gopath}/src/%{import_path}/
cp -pav mangen/*.go %{buildroot}%{gopath}/src/%{import_path}/mangen

# install go-md2man binary
install -d %{buildroot}%{_bindir}
install -p -m 755 ./_build/src/%{repo} %{buildroot}%{_bindir}

%check
#no test files so far

%files
%doc README.md
%{_bindir}/%{repo}

%files devel
%doc README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%dir %{gopath}/src/%{import_path}
%dir %{gopath}/src/%{import_path}/*
%{gopath}/src/%{import_path}/*.go
%{gopath}/src/%{import_path}/*/*.go

%changelog
* Mon Oct 27 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1-2
- Resolves: rhbz#1156492 - initial fedora upload
- quiet setup
- no test files, disable check

* Thu Sep 11 2014 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1-1
- Initial package
